<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:37 CEST 2019 -->
<title>org.firebirdsql.gds.ng.jna Class Hierarchy (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.firebirdsql.gds.ng.jna Class Hierarchy (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/fields/package-tree.html">Prev</a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/listeners/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/jna/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.firebirdsql.gds.ng.jna</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/AbstractConnection.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">AbstractConnection</span></a>&lt;T,C&gt;
<ul>
<li type="circle">org.firebirdsql.gds.ng.jna.<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaConnection.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">JnaConnection</span></a>&lt;T,C&gt;
<ul>
<li type="circle">org.firebirdsql.gds.ng.jna.<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">JnaDatabaseConnection</span></a></li>
<li type="circle">org.firebirdsql.gds.ng.jna.<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaServiceConnection.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">JnaServiceConnection</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/AbstractEventHandle.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">AbstractEventHandle</span></a> (implements org.firebirdsql.gds.<a href="../../../../../org/firebirdsql/gds/EventHandle.html" title="interface in org.firebirdsql.gds">EventHandle</a>)
<ul>
<li type="circle">org.firebirdsql.gds.ng.jna.<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaEventHandle.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">JnaEventHandle</span></a></li>
</ul>
</li>
<li type="circle">org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/AbstractFbAttachment.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">AbstractFbAttachment</span></a>&lt;T&gt; (implements org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a>)
<ul>
<li type="circle">org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/AbstractFbDatabase.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">AbstractFbDatabase</span></a>&lt;T&gt; (implements org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a>, org.firebirdsql.gds.ng.listeners.<a href="../../../../../org/firebirdsql/gds/ng/listeners/TransactionListener.html" title="interface in org.firebirdsql.gds.ng.listeners">TransactionListener</a>)
<ul>
<li type="circle">org.firebirdsql.gds.ng.jna.<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaDatabase.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">JnaDatabase</span></a> (implements org.firebirdsql.gds.ng.jna.<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaAttachment.html" title="interface in org.firebirdsql.gds.ng.jna">JnaAttachment</a>, org.firebirdsql.gds.ng.listeners.<a href="../../../../../org/firebirdsql/gds/ng/listeners/TransactionListener.html" title="interface in org.firebirdsql.gds.ng.listeners">TransactionListener</a>)</li>
</ul>
</li>
<li type="circle">org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/AbstractFbService.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">AbstractFbService</span></a>&lt;T&gt; (implements org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/FbService.html" title="interface in org.firebirdsql.gds.ng">FbService</a>)
<ul>
<li type="circle">org.firebirdsql.gds.ng.jna.<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaService.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">JnaService</span></a> (implements org.firebirdsql.gds.ng.jna.<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaAttachment.html" title="interface in org.firebirdsql.gds.ng.jna">JnaAttachment</a>)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/AbstractFbBlob.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">AbstractFbBlob</span></a> (implements org.firebirdsql.gds.ng.listeners.<a href="../../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html" title="interface in org.firebirdsql.gds.ng.listeners">DatabaseListener</a>, org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a>, org.firebirdsql.gds.ng.listeners.<a href="../../../../../org/firebirdsql/gds/ng/listeners/TransactionListener.html" title="interface in org.firebirdsql.gds.ng.listeners">TransactionListener</a>)
<ul>
<li type="circle">org.firebirdsql.gds.ng.jna.<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaBlob.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">JnaBlob</span></a> (implements org.firebirdsql.gds.ng.listeners.<a href="../../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html" title="interface in org.firebirdsql.gds.ng.listeners">DatabaseListener</a>, org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/FbBlob.html" title="interface in org.firebirdsql.gds.ng">FbBlob</a>)</li>
</ul>
</li>
<li type="circle">org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">AbstractFbStatement</span></a> (implements org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a>)
<ul>
<li type="circle">org.firebirdsql.gds.ng.jna.<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaStatement.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">JnaStatement</span></a></li>
</ul>
</li>
<li type="circle">org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/AbstractFbTransaction.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">AbstractFbTransaction</span></a> (implements org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng">FbTransaction</a>)
<ul>
<li type="circle">org.firebirdsql.gds.ng.jna.<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaTransaction.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">JnaTransaction</span></a></li>
</ul>
</li>
<li type="circle">org.firebirdsql.gds.ng.jna.<a href="../../../../../org/firebirdsql/gds/ng/jna/AbstractNativeDatabaseFactory.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">AbstractNativeDatabaseFactory</span></a> (implements org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/FbDatabaseFactory.html" title="interface in org.firebirdsql.gds.ng">FbDatabaseFactory</a>)
<ul>
<li type="circle">org.firebirdsql.gds.ng.jna.<a href="../../../../../org/firebirdsql/gds/ng/jna/FbClientDatabaseFactory.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">FbClientDatabaseFactory</span></a></li>
<li type="circle">org.firebirdsql.gds.ng.jna.<a href="../../../../../org/firebirdsql/gds/ng/jna/FbEmbeddedDatabaseFactory.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">FbEmbeddedDatabaseFactory</span></a></li>
<li type="circle">org.firebirdsql.gds.ng.jna.<a href="../../../../../org/firebirdsql/gds/ng/jna/FbLocalDatabaseFactory.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">FbLocalDatabaseFactory</span></a></li>
</ul>
</li>
<li type="circle">org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">AbstractParameterConverter</span></a>&lt;D,S&gt; (implements org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/ParameterConverter.html" title="interface in org.firebirdsql.gds.ng">ParameterConverter</a>&lt;D,S&gt;)
<ul>
<li type="circle">org.firebirdsql.gds.ng.jna.<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaParameterConverter.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">JnaParameterConverter</span></a></li>
</ul>
</li>
<li type="circle">org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/DefaultDatatypeCoder.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">DefaultDatatypeCoder</span></a> (implements org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a>)
<ul>
<li type="circle">org.firebirdsql.gds.ng.jna.<a href="../../../../../org/firebirdsql/gds/ng/jna/BigEndianDatatypeCoder.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">BigEndianDatatypeCoder</span></a></li>
<li type="circle">org.firebirdsql.gds.ng.jna.<a href="../../../../../org/firebirdsql/gds/ng/jna/LittleEndianDatatypeCoder.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">LittleEndianDatatypeCoder</span></a></li>
</ul>
</li>
<li type="circle">org.firebirdsql.gds.ng.jna.<a href="../../../../../org/firebirdsql/gds/ng/jna/NativeResourceTracker.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">NativeResourceTracker</span></a></li>
<li type="circle">org.firebirdsql.gds.ng.jna.<a href="../../../../../org/firebirdsql/gds/ng/jna/NativeResourceUnloadWebListener.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">NativeResourceUnloadWebListener</span></a> (implements javax.servlet.ServletContextListener)</li>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Throwable</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Exception</span></a>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/RuntimeException.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">RuntimeException</span></a>
<ul>
<li type="circle">org.firebirdsql.gds.ng.jna.<a href="../../../../../org/firebirdsql/gds/ng/jna/NativeLibraryLoadException.html" title="class in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">NativeLibraryLoadException</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">AutoCloseable</span></a>
<ul>
<li type="circle">org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng"><span class="typeNameLink">FbAttachment</span></a> (also extends org.firebirdsql.gds.ng.listeners.<a href="../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListenable</a>)
<ul>
<li type="circle">org.firebirdsql.gds.ng.jna.<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaAttachment.html" title="interface in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">JnaAttachment</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.firebirdsql.gds.ng.listeners.<a href="../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html" title="interface in org.firebirdsql.gds.ng.listeners"><span class="typeNameLink">ExceptionListenable</span></a>
<ul>
<li type="circle">org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng"><span class="typeNameLink">FbAttachment</span></a> (also extends java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang">AutoCloseable</a>)
<ul>
<li type="circle">org.firebirdsql.gds.ng.jna.<a href="../../../../../org/firebirdsql/gds/ng/jna/JnaAttachment.html" title="interface in org.firebirdsql.gds.ng.jna"><span class="typeNameLink">JnaAttachment</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/fields/package-tree.html">Prev</a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/listeners/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/jna/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
